%!TEX program=lualatex

\documentclass[%
    presentation,%
    % draft,%
    % final,%
    aspectratio=1610,%
    ngerman,%
    american,%
    9pt,%
    xcolor={%
      usenames,%
      dvipsnames,%
      svgnames,%
      table,%
    },%
  ]{beamer}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% beamer setup
\usetheme[%
    % titlepage=huge,%
    sectionpage=circle,%
    subsectionpage=none,%
    block=fill,%
    accent=dark,%
    numbering=fraction,%
    progressbar=head,%
  ]{ustutt}
\setbeamertemplate{itemize items}[circles ustutt]
% Our title is toooooo long, so we will shrink the font size of title and subtitle
\setbeamerfont{title}{%
  size=\large,%\LARGE,%
  series=\bfseries,%
}
\setbeamerfont{subtitle}{%
  size=\normalsize,%\large,%
}
%% END beamer setup
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% document configuration

\usepackage{ustuttmath}
\usepackage{ustuttmechanics}
\usepackage{ustuttelectrics}
\usepackage{ustuttstatistics}
\usepackage{ustuttsystemdynamics}
\usepackage{ustutttext}

\usepackage{dsfont}
\usepackage{interval}
\usepackage{nth}
\usepackage{pgfplotstable}
\usepackage{media9}
\usepackage{animate}


\input{config/commands}

\DeclareDocumentCommand{\zeros}{ o }{%
  \IfValueTF{#1}{%
    \vect{0}_{#1}%
  }{%
    \vect{0}%
  }%
}%


\usepackage{xpatch}
\makeatletter
\newbibmacro*{name:bold}[2]{%
  \edef\blx@tmp@name{\expandonce#1, \expandonce#2}%
  \def\do##1{\ifdefstring{\blx@tmp@name}{##1}{\bfseries\color{UStuttAccent1}\listbreak}{}}%
  \dolistloop{\boldnames}}
\newcommand*{\boldnames}{}
\makeatother

\xpretobibmacro{name:family}{\begingroup\usebibmacro{name:bold}{#1}{#2}}{}{}
\xpretobibmacro{name:given-family}{\begingroup\usebibmacro{name:bold}{#1}{#2}}{}{}
\xpretobibmacro{name:family-given}{\begingroup\usebibmacro{name:bold}{#1}{#2}}{}{}
\xpretobibmacro{name:delim}{\begingroup\normalfont}{}{}

\xapptobibmacro{name:family}{\endgroup}{}{}
\xapptobibmacro{name:given-family}{\endgroup}{}{}
\xapptobibmacro{name:family-given}{\endgroup}{}{}
\xapptobibmacro{name:delim}{\endgroup}{}{}

\forcsvlist{\listadd\boldnames}{{Tempel, Philipp},{Tempel, Ph.},{Tempel, Ph\bibinitperiod}}


\addbibresource{src-simtech.bib}


\usetikzlibrary{mechanics}
\usetikzlibrary{cdpr}
\usetikzlibrary{philipptempel}
\usepgfplotslibrary{fillbetween}

\input{config/tikz/external}

\input{config/configuration}

\tdplotsetmaincoords{80}{110}

\colorlet{PrimaryColorVeryLight}{UStuttAnthraciteVeryLight}
\colorlet{PrimaryColorLight}{UStuttAnthraciteLight}
\colorlet{PrimaryColorLighter}{UStuttAnthraciteLighter}
\colorlet{PrimaryColor}{UStuttAnthracite}
\colorlet{PrimaryColorDarker}{UStuttAnthraciteDarker}
\colorlet{PrimaryColorDark}{UStuttAnthraciteDark}
\colorlet{PrimaryColorVeryDark}{UStuttAnthraciteVeryDark}

%% END document configuration
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% document setup
\title[Dynamics of Cable Robots]{Dynamics of Cable-Driven Parallel Robots with Elastic and Flexible, Time-varying Length Cables}
\subtitle{Dissertation Defense Presentation}

% Dr.-cand.\@ Dipl.-Ing.\\
\author[Ph.\@~Tempel]{Philipp Tempel}

\institute[ISW \& SimTech, University of Stuttgart]{%
Institute for Control Engineering of Machine Tools and Manufacturing Units ISW
\and Simulation Technology Graduate School, Excellence Cluster of Simulation Technology%
}

\date{\printdate{2019-07-19}}

\titlegraphic{%
  \includegraphics[%
    trim={1250px 100px 0px 0px},% <left> <lower> <right> <upper>
    clip,%
    keepaspectratio,%
    width=\paperwidth,%
  ]{images/img_9913}%
}

\setlength{\intextsep}{1mm}

\setbeamertemplate{caption}{\raggedright\insertcaption\par}

\newcommand{\maketableofcontents}{
  \begin{frame}
    \frametitle{\contentsname}

    % \tableofcontents
    \tableofcontents[hideallsubsections]
  \end{frame}
}

% Use for bi-lingual documents
\NewDocumentCommand{\trans}{m m}{%
  \ifcurrentbaselanguage{english}{#1}{\ifcurrentbaselanguage{ngerman}{#2}{#1}}%
}

\makeatletter
% https://tex.stackexchange.com/questions/397803/combine-siunitx-s-column-with-input-value-from-tex-file?noredirect=1
\newcommand{\expinput}[1]{\@@input{#1}}
% http://groups.google.com/group/comp.text.tex/msg/7e812e5d6e67fcc5
\def\convertto#1#2{\strip@pt\dimexpr #2*65536/\number\dimexpr 1#1}
\makeatother

%% END document setup
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%% Move videos onto their own frame
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% document
\begin{document}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% titlepage
\maketitle
%% END titlepage
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% introduction
\input{content/introduction}
%% END introduction
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% table of contents
% {
%   \ustuttset{sectionpage=none}
%   \section*{Table of Contents}
%   \begin{frame}
%     \frametitle{\secname}
%     % \setbeamertemplate{section in toc}[sections numbered]
%     \tableofcontents[hideallsubsections]
%   \end{frame}
% }
%% END table of contents
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% state of the art
\input{content/state-of-the-art}
%% END state of the art
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% spatial dynamics
\input{content/spatial-dynamics}
%% END spatial dynamics
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% cdpr simulation framework
\input{content/cdpr-simulation-framework}
%% END cdpr simulation framework
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% cdpr analysis
\input{content/cdpr-analysis}
%% END cdpr analysis
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% summary
\input{content/summary}
%% END summary
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% closing
\input{content/closing}
%% END closing
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


\appendix


\begin{frame}[standout]
  
\end{frame}


\end{document}
%% END document
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
